Name:           task-kde4
Version:        4.6.2
Release:        %mkrel 2
Epoch:          1
Summary:        Metapackage for KDE4
Group:          Graphical desktop/KDE
License:        GPL
BuildArch:      noarch
Requires:       task-kde4-minimal = %epoch:%version-%release

Suggests:       kdepim4
Suggests:       kdegraphics4 >= 2:%version
Suggests:       kdegames4 >= 1:%version
Suggests:       kdeplasma-addons >= %version
Suggests:       kdenetwork4 >= 3:%version
Suggests:       kdeaccessibility4 >= 2:%version

Suggests:       kcharselect >= %version
Suggests:       ktimer >= %version
Suggests:       kwallet >= %version
Suggests:       kcron >= 2:%version

Provides:       task-kde = %epoch:%version
Obsoletes:      %{name}-full < 2008.0-3mdv
Obsoletes:      task-kde < 1:4.2.2

Suggests:       kde4-irc-client
Suggests:       kio-sysinfo >= 1.8.3
Suggests:       digikam >= 1.9.0
Suggests:       kamera >= 2:%version
Suggests:       plasma-applet-yawp >= 0.3.6

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the KDE4 desktop ( plus amarok,
koffice, ...)

%files
%defattr(-,root,root-)

#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed KDE4
Group:      Graphical desktop/KDE

Requires:   task-x11 >= 1-2
Requires:   kdebase4-runtime >= 1:%version
Requires:   kdebase4-workspace >= 2:%version
Requires:   kde4-config-file >= 1
Requires:   kdm >= 2:%version

Requires:   gwenview >= 2:%version
Requires:   dolphin >= 1:%version
Requires:   ark >= %version
Requires:   kcalc >= %version
Requires:   kde4-nsplugins >= 1:%version
Requires:   konsole >= 1:%version
Requires:   kmix >= 3:%version
Requires:   dbus-x11 >= 1.4.1
Requires:   qt4-qtdbus >= 4:4.7.1
Requires:   kdeartwork4-kscreensaver >= %version
Requires:   xsettings-kde >= 0.12

Requires:   plasma-applet-folderview >= 1:%version
#Requires:   plasma-desktoptheme-aya >= %version
Requires:   plasma-applet-showdesktop >= %version
Requires:   konqueror >= 1:%version
Requires:   keditbookmarks >= 1:%version
Requires:   kdialog >= 1:%version
Requires:   kmozillahelper
Requires:   kwrite >= 1:%version
Requires:   okular >= 2:%version

Suggests:   oxygen-icon-theme >= 1:%version

Suggests:   task-pulseaudio
Suggests:   phonon-gstreamer >= 5:4.4.4
Suggests:   dragonplayer >= 3:%version
Suggests:   amarok >= 3:2.4.0
Suggests:   kde4-audiocd >= 3:%version

Suggests:   kdepasswd >= 1:%version

Suggests:   preload >= 0.6.4
Suggests:   readahead >= 1.5.7

Suggests:   drakconf >= 12.21.1
Suggests:   akonadi-kde >= 2:4.4.10
Suggests:   konq-plugins >= 1:%version
Suggests:   kontact >= 2:4.4.10
Suggests:   plasma-applet-battery >= 2:%version

Suggests:   bluedevil
Obsoletes:  task-kde-minimal < 1:4.2.2
Obsoletes:  mandriva-galaxy mandriva-galaxy-data
Provides:   task-kde-minimal = %epoch:%version

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal KDE4 desktop environment.


%files minimal

#--------------------------------------------------------------------

%package   devel
Summary:   Metapackage for KDE development
Group:     Development/KDE and Qt
Requires:  task-kde4
Requires:  kde4-config-file
Requires:  kdelibs4-devel
Requires:  kdepimlibs4-devel
Requires:  kdebase4-devel
Requires:  kdebase4-workspace-devel
Requires:  kdesdk4-scripts
Requires:  task-c++-devel

Obsoletes: task-kde-devel < 1:4.2.2
Obsoletes: task-kde3-devel < 3.5.10-5

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

%files devel
%defattr(-,root,root-)


%changelog
* Fri May 20 2011 ennael <ennael> 1:4.6.2-2.mga1
+ Revision: 99977
- obsolete mandriva-galaxy

* Wed Apr 13 2011 dmorgan <dmorgan> 1:4.6.2-1.mga1
+ Revision: 84217
- Update to version 4.6.2

* Tue Mar 08 2011 ahmad <ahmad> 1:4.6.1-1.mga1
+ Revision: 66705
- move the kontact suggests back to -minimal
- update to 4.6.1
  o move some suggests to the main package
  o change some suggest to requires

  + dmorgan <dmorgan>
    - More versionnate requires
    - More versionnate requires
    - More versionnate requires
    - Start to versionnate requires for easier updates for users

  + mikala <mikala>
    - Add bluedevil as suggests in task-kde4
    - Clean spec

* Mon Feb 07 2011 mikala <mikala> 1:4.6.0-1.mga1
+ Revision: 48593
- Add plasma-wallpaper-timeoftheday as a suggest instead of a require
- Update version to 4.6.0

* Mon Jan 17 2011 dmorgan <dmorgan> 1:4.5.95-3.mga1
+ Revision: 20955
- Remove old obsolete

* Sun Jan 16 2011 dmorgan <dmorgan> 1:4.5.95-2.mga1
+ Revision: 20272
- Rebuild

* Sun Jan 16 2011 dmorgan <dmorgan> 1:4.5.95-1.mga1
+ Revision: 20041
- Increase version

  + mikala <mikala>
    - imported package task-kde4


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1:4.5.80-1mdv2011.0
+ Revision: 601704
- do not promote kdeartwork

* Thu Sep 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.5.65-1mdv2011.0
+ Revision: 575198
- Update version

* Thu Jul 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.95-1mdv2011.0
+ Revision: 563096
- add kdeartwork to suggested deps
- Revert previous commit
- Requires kde-odf-thumbnail
  CCBUG: 59429

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.3-1mdv2010.1
+ Revision: 543136
- Update to kde 4.4.3

* Mon May 03 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.2-1mdv2010.1
+ Revision: 541740
- Update for kde 4.4.2
- New version 4.4.1

* Wed Feb 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.4.0-1mdv2010.1
+ Revision: 503486
- New version 4.0.0

* Mon Feb 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.98-1mdv2010.1
+ Revision: 502260
- Fix requires of the minimal package

* Sun Jan 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.90-1mdv2010.1
+ Revision: 495390
- Requires kmozillahelper needed for firefox kde integration

* Mon Nov 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.75-1mdv2010.1
+ Revision: 466508
- Update to kde 4.3.75
  Remove requires on firefox-ext-plasmanotify, this is not needed anymore with kde 4.4

* Mon Nov 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.73-1mdv2010.1
+ Revision: 463405
- Update to kde 4.3.73
  Clean spec file

* Thu Oct 29 2009 Anne Nicolas <ennael@mandriva.org> 1:4.3.2-4mdv2010.0
+ Revision: 460121
- add plasma-wallpaper-timeoftheday

* Sun Oct 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.2-3mdv2010.0
+ Revision: 459290
- Use firefox-ext-plasmanotify in KDE

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.2-2mdv2010.0
+ Revision: 459140
- Obsoletes task-kde3

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.2-1mdv2010.0
+ Revision: 451012
- Update for upcoming 4.3.2 and requires kde4-irc-client

* Tue Sep 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-4mdv2010.0
+ Revision: 447259
- Suggests Kamera BUG:52237

* Tue Sep 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-3mdv2010.0
+ Revision: 443216
- Add mplayerthumb as suggests as we use phonon engine and do not require mplayer anymore

* Tue Sep 15 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-2mdv2010.0
+ Revision: 443109
- Get rid of pinentry-qt and sweeper.
- Added suggests for nepomuk-scribo ( added more few kilobytes, as users love this ) :-P

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add konq-plugins as suggets
    - Install kontact by default

* Thu Sep 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-1mdv2010.0
+ Revision: 429007
- Add akonadi-kde as Suggests
- Revert as Asked by helio because it add a dependancy in mplayer

* Tue Aug 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.0-1mdv2010.0
+ Revision: 421259
- Add mplayerthumbs as Suggests

* Sat Jul 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.96-1mdv2010.0
+ Revision: 397128
- Fix version
- add suggests on the minimal package
- Suggests kio-sysinfo ( Bug #52177)

* Wed May 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.85-1mdv2010.0
+ Revision: 375060
- Update to kde 4.2.85

* Fri May 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.70-1mdv2010.0
+ Revision: 369194
- Update to kde 4.2.70

* Sat Apr 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.2-5mdv2009.1
+ Revision: 367983
- [BUGFIX] Make dragon suggests ( Bug #50058)

* Tue Apr 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.2-4mdv2009.1
+ Revision: 367247
- Fix default install list
- Do not install KFloppy by default
- Do not provide KScd by default as it does not work well

* Wed Apr 01 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.2-2mdv2009.1
+ Revision: 363415
- Obsolete and provides right task-kde. task-kde3 is valid.

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.2-1mdv2009.1
+ Revision: 361735
- Update for 4.2.2
- Add kdialog in minimal requires

* Sun Mar 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.1-2mdv2009.1
+ Revision: 360316
- Install yawp by default on minimal task package

* Sun Mar 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.1-1mdv2009.1
+ Revision: 355188
- Update to kde 4.2.1
  Fix description

* Sun Feb 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.0-4mdv2009.1
+ Revision: 338568
- Fix Requires (Bug #46879)

* Tue Feb 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.0-3mdv2009.1
+ Revision: 337092
- Obsoletes task-kde3

* Wed Jan 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.0-2mdv2009.1
+ Revision: 334944
- Added quassel as suggests for task-kde4

  + Funda Wang <fwang@mandriva.org>
    - Bump version

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Change some Requiress into suggests
      Suggests Okular in task-kde4-minimal
    - Sugggests the battery applet
    - Add kde4-audiocd as default

* Wed Oct 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.70-1mdv2009.1
+ Revision: 296592
- Update to kde 4.1.70
- Convert some Requires into Suggests

* Fri Oct 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.2-4mdv2009.0
+ Revision: 290975
- Fix Requires

* Mon Sep 29 2008 Frederic Crozat <fcrozat@mandriva.com> 1:4.1.2-3mdv2009.0
+ Revision: 289354
- Ensure xsettings-kde is required by task-kde4-minimal
- Add readahead as suggests

* Sat Sep 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.2-2mdv2009.0
+ Revision: 288959
- Add scrensavers as Require

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288169
- Suggests preload

* Wed Sep 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.1-3mdv2009.0
+ Revision: 283627
- tweak task-kde4 ( change some requires to suggest + suggests digikam)

* Mon Sep 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.1-2mdv2009.0
+ Revision: 282811
- Add kdm as Requires
- Add Dragonplayer as minimal require
- Add KScd as minimal require
- Add Gwenview as minimal require
- Fix Requires on the minimal package

* Tue Sep 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.1-1mdv2009.0
+ Revision: 278888
- Add pinentry-qt as Suggests
- ws cleanup

* Mon Sep 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-12mdv2009.0
+ Revision: 278697
- requires phonon-gstreamer as default

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-11mdv2009.0
+ Revision: 276865
- Remove some unwanted applications from task-kde4. Solve kgpg issue for non advanced users

* Mon Aug 18 2008 Anne Nicolas <ennael@mandriva.org> 1:4.1.0-10mdv2009.0
+ Revision: 273275
- add kwrite as text editor

* Sat Aug 16 2008 Anne Nicolas <ennael@mandriva.org> 1:4.1.0-9mdv2009.0
+ Revision: 272724
- add mandriva-galaxy require

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add konqueror as Requires ( aKa.  stop crying trem :) )

* Sun Jul 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.0-7mdv2009.0
+ Revision: 250613
- Fix Release
- Add knetworkconf  kcron as Requires and comment kuser before adding
- Remove kdeadmin4 Requires ( we will add some package individually)
- Requires Ark

* Sun Jul 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.83-6mdv2009.0
+ Revision: 232276
- Add Kmix as requires

* Thu Jul 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.83-5mdv2009.0
+ Revision: 231409
- Do not install superkaramba by default (menu cleaning task)

* Tue Jul 01 2008 Olivier Blin <oblin@mandriva.com> 1:4.0.83-4mdv2009.0
+ Revision: 230523
- make kdegames4 a Suggests

  + Helio Chissini de Castro <helio@mandriva.com>
    - Nepomuk not ok to install for now

* Wed Jun 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.83-2mdv2009.0
+ Revision: 229090
- [BUGFIX] Fix typo on devel package (Bug #41667) thanks to JLP

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 228721
- Blino pointed that task-kde4 was broken. Fix config file requires and add plasma applets required in minimal config.

* Tue Jun 17 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-2mdv2009.0
+ Revision: 222775
- Fixing typo

* Tue Jun 17 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-1mdv2009.0
+ Revision: 222759
- Update task.

* Fri May 16 2008 Thierry Vignaud <tv@mandriva.org> 1:4.0.73-2mdv2009.0
+ Revision: 208186
- remove kdevelop4 require again (it's not needed on typical desktop and just
  add a tons of useless devel requires)

* Thu May 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.73-1mdv2009.0
+ Revision: 203876
- Update for kde 4.0.73
  Fix Requires
- Update to kde 4.0.69

* Sun Mar 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191159
- Update for kde 4.0.3

* Tue Mar 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.2-10mdv2008.1
+ Revision: 186978
- Fix Requires

* Wed Mar 05 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.2-9mdv2008.1
+ Revision: 179448
- Add task-pulseaudio as Suggests

* Tue Mar 04 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.2-8mdv2008.1
+ Revision: 179214
- New version 4.0.2
- [FEATURE] Add playground-nepomuk-kde as Suggests (Bug #38088)

* Mon Feb 04 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-7mdv2008.1
+ Revision: 162399
- Fix Requires

* Sun Feb 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-6mdv2008.1
+ Revision: 161860
- Add requires (Bug #37455 )
- [BUGFIX] add Requires (Bug #37458 #37427)

* Sun Jan 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-4mdv2008.1
+ Revision: 158852
- Do not require kdevelop4

* Wed Jan 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-3mdv2008.1
+ Revision: 153758
- Replace kdeplayground4-plasma by extragear-plasma

* Sun Jan 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-2mdv2008.1
+ Revision: 151072
- Do not require kdeaddons4

* Sun Jan 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 150900
- Update for kde 4.0.0
- Require task-kde4-minimal
  Activate now existing packages

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.96.1-1mdv2008.1
+ Revision: 111825
- Update for kde4 3.96.1

* Fri Nov 23 2007 Thierry Vignaud <tv@mandriva.org> 1:3.94.0-3mdv2008.1
+ Revision: 111492
- rebuild since task-kde4-full didn't reach ia32 mirrors

* Sun Oct 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.94.0-2mdv2008.1
+ Revision: 101017
- This is Phonon-xine not Xine-phonon

* Sun Oct 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:3.94.0-1mdv2008.1
+ Revision: 100950
- Fix the version of this meta package
- Add Requires to the minimal package

* Tue Oct 02 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-3mdv2008.0
+ Revision: 94671
- Dropping task-kde4-full package and Bumping release

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 94160
- Require the mandriva-kde4-config

* Mon Oct 01 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-1mdv2008.0
+ Revision: 94128
- Fixing Requires and %%files section

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add a minimal subpackage


* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148612
- Add other kde4 module (just for testing all kde4 package
- Import task-kde4

